FS_MINIDUMP(1)

NAME
fs_minidump - Generate a minidump from the current afsd service

SYNOPSIS
fs minidump [-help]

DESCRIPTION
fs minidump generates a mini dump file containing the current stack of the afsd_service.exe process. This output can be very helpful when debugging the AFS Client Service when it is unresponsive to SMB/CIFS requests.

If the AFS Client Service becomes unresponsive to any form of communication there may be a serious error that can only be diagnosed by someone with access to the source code and a debugger. The "fs minidump" command can be used to force the generation of a MiniDump file containing the state of all of the threads in the AFS Client Service process.

The "MiniDumpType" registry value can be used to adjust the scope of the process information included within the dump file.

In a standard install the default location for the dump file is %windir%\temp.

CAUTIONS
This command is only available in OpenAFS for Windows version 1.4 and later.

OPTIONS

-help
    Prints the online help for this command. All other valid options are ignored.

SEE ALSO
fs(1)

COPYRIGHT
Copyright 2007 Jason Edgecombe <jason@rampaginggeek.com>

This documentation is covered by the BSD License as written in the doc/LICENSE file. This man page was written by Jason Edgecombe for OpenAFS.